unit invform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QuickRpt, Qrctrls, Db, DBTables, ExtCtrls;

type
  Tdisplayfrm = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    custtable: TTable;
    ordtable: TTable;
    DataSource1: TDataSource;
    QRSubDetail1: TQRSubDetail;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    QRDBText3: TQRDBText;
    QRDBText4: TQRDBText;
    TitleBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRMemo1: TQRMemo;
    QRLabel2: TQRLabel;
    QRDBText5: TQRDBText;
    QRDBText6: TQRDBText;
    QRDBText7: TQRDBText;
    QRDBText8: TQRDBText;
    QRDBText9: TQRDBText;
    QRDBText10: TQRDBText;
    QRLabel3: TQRLabel;
    QRLabel4: TQRLabel;
    QRLabel5: TQRLabel;
    QRGroup1: TQRGroup;
    ordfooter: TQRBand;
    QRExpr1: TQRExpr;
    QRSysData1: TQRSysData;
    QRShape1: TQRShape;
    QRShape2: TQRShape;
    QRShape3: TQRShape;
    QRLabel6: TQRLabel;
    custquery: TQuery;
    procedure QRSubDetail1BeforePrint(Sender: TQRCustomBand;
      var PrintBand: Boolean);
    procedure QRExpr1Print(sender: TObject; var Value: String);
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep;
      var PrintReport: Boolean);
    procedure ordfooterAfterPrint(Sender: TQRCustomBand;
      BandPrinted: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  displayfrm: Tdisplayfrm;

implementation

{$R *.DFM}

procedure Tdisplayfrm.QRSubDetail1BeforePrint(Sender: TQRCustomBand;
  var PrintBand: Boolean);
begin
        // 25 is the box size in invoice lines
        // 64.0 is the original height of the band in tenth mm
        // if this is the last sub-detail, expand the band
        if ordtable.RecNo = (ordtable.RecordCount) then
        begin
             QRSubDetail1.Size.Height := (25 - ordtable.Recno) * 64.0;
        end
        else
        begin
             QRSubDetail1.Size.Height := 64.0;
        end
end;

procedure Tdisplayfrm.QRExpr1Print(sender: TObject; var Value: String);
begin
       // testing
       //application.MessageBox( 'Expr', 'Expr', 0);
end;

procedure Tdisplayfrm.QuickRep1BeforePrint(Sender: TCustomQuickRep;
  var PrintReport: Boolean);
begin
       // testing
       //application.MessageBox( 'QR before print', 'QR before print', 0);
end;

procedure Tdisplayfrm.ordfooterAfterPrint(Sender: TQRCustomBand;
  BandPrinted: Boolean);
begin
       // testing
       //application.MessageBox( 'g footer band', 'g footer band', 0);
end;

end.
