unit ismain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, Db, DBTables, StdCtrls, DBCtrls, Grids, DBGrids;

type
  TInvmain = class(TForm)
    SpeedButton1: TSpeedButton;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Label1: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Invmain: TInvmain;
  selectedco : string;

implementation
uses invform, qrexport, qrwebfilt;
{$R *.DFM}

procedure HTMLExpo;
var
     aHTMLFilt : TQRGHTMLDocumentfilter;
begin
     aHTMLFilt := TQRGHTMLDocumentFilter.Create( 'testout.html' );
     displayfrm.QuickRep1.ExportToFilter( aHTMLFilt );
     ahtmlfilt.free;
end;

procedure TInvmain.SpeedButton1Click(Sender: TObject);
begin
    // using a query
    selectedco := table1.fields[1].asstring;
    displayfrm.custquery.SQL.Text := 'select * from customer where company = ''' +  selectedco + ''';';
    displayfrm.custquery.Open;
    displayfrm.ordtable.Open;
    displayfrm.QuickRep1.Preview;
    exit;
    // using a filtered table
    displayfrm.custtable.Filter := 'company = '''+selectedco+'''';
    displayfrm.custtable.Open;
    displayfrm.ordtable.Open;
    displayfrm.QuickRep1.Preview;
end;

procedure TInvmain.FormCreate(Sender: TObject);
begin
     table1.open;
     table1.First;
end;

procedure TInvmain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    table1.close;
    displayfrm.custtable.close;
    displayfrm.ordtable.close;
end;

end.
